package com.usky.ids.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.ids.service.AccessAlarmService;
import com.usky.ids.service.AccessEntryExitRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 车辆进出记录 前端控制器
 * </p>
 *
 * @author han
 * @since 2025-03-26
 */
@RestController
@RequestMapping("/accessEntryExitRecord")
public class AccessEntryExitRecordController {
    @Autowired
    private AccessEntryExitRecordService accessEntryExitRecordService;
    /**
     * 获取车位信息
     * @return
     */
    @GetMapping("entryExitCount")
    ApiResult<Object> entryExitCount(){
        return ApiResult.success(accessEntryExitRecordService.entryExitCount());
    }
}

